Summary:	Provable prime number generator for cryptographic applications
Name:		perl-Crypt-Primes
Version:	0.50
Release:	9%{?dist}
License:	GPL+ or Artistic
Group:		Development/Libraries
Url:		http://search.cpan.org/dist/Crypt-Primes/
Source0:	http://search.cpan.org/CPAN/authors/id/V/VI/VIPUL/Crypt-Primes-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:	noarch
BuildRequires:	perl(Crypt::Random)	>= 0.33
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Math::Pari)	>= 2.001804

%description
This module implements Ueli Maurer's algorithm for generating large provable
primes and secure parameters for public-key cryptosystems. The generated primes
are almost uniformly distributed over the set of primes of the specified
bitsize and expected time for generation is less than the time required for
generating a pseudo-prime of the same size with Miller-Rabin tests. Detailed
description and running time analysis of the algorithm can be found in Maurer's
paper, "Fast Generation of Prime Numbers and Secure Public-Key Cryptographic
Parameters" (1994).

%prep
%setup -q -n Crypt-Primes-%{version}
%{__sed} -i -e '/^#! *\/usr\/bin\/perl /d' lib/Crypt/Primes.pm

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install PERL_INSTALL_ROOT=%{buildroot}
/usr/bin/find %{buildroot} -type f -name .packlist -exec %{__rm} -f {} ';'
/usr/bin/find %{buildroot} -depth -type d -exec /bin/rmdir {} 2>/dev/null ';'
%{__chmod} -R u+w %{buildroot}/*

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README docs/*
%{_bindir}/largeprimes
%{perl_vendorlib}/Crypt/Primes.pm
%{_mandir}/man1/largeprimes.1*
%{_mandir}/man3/Crypt::Primes.3pm*

%changelog
* Fri Apr 30 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.50-9
- Mass rebuild with perl-5.12.0

* Fri Dec  4 2009 Stepan Kasal <skasal@redhat.com> - 0.50-8
- rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.50-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.50-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Mar  5 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.50-5
- rebuild for new perl

* Sun Aug 12 2007 Paul Howarth <paul@city-fan.org> 0.50-4
- Clarify license as GPL v1 or later, or Artistic (same as perl)

* Thu Mar  8 2007 Paul Howarth <paul@city-fan.org> 0.50-3
- Buildrequire perl(ExtUtils::MakeMaker)
- Fix argument order for find with -depth

* Tue Aug 29 2006 Paul Howarth <paul@city-fan.org> 0.50-2
- FE6 mass rebuild

* Tue Dec  6 2005 Paul Howarth <paul@city-fan.org> 0.50-1
- Initial build
